.parallax-hero {
    position: relative;
    height: 100vh;
    background-image: url('../images/fondo-b.jpg');
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    align-items: center;
    overflow: hidden;
}

@media (max-width: 768px) {
    .parallax-hero {
        background-attachment: scroll;
        background-position: center center;
        background-size: cover;
    }
}

.parallax-overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.3));
}

.hero-content {
    position: relative;
    z-index: 10;
    color: white;
    padding-top: 12rem;
    width: 100%;
}

@media (max-width: 640px) {
    .hero-content {
        padding-top: 7rem;
    }
}

.text-shadow {
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

@media (max-width: 768px) {
    .parallax-hero {
        background-attachment: scroll;
    }
}